--
-- Structure for table `helpdesk_faq`
--

DROP TABLE IF EXISTS `helpdesk_faq`;
CREATE TABLE `helpdesk_faq` (
  `id_faq` int(4) NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `role_key` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `workgroup_key` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`id_faq`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure for table `helpdesk_subject`
--

DROP TABLE IF EXISTS `helpdesk_subject`;
CREATE TABLE `helpdesk_subject` (
  `id_subject` int(4) NOT NULL,
  `subject` varchar(50) NOT NULL default '',
  `id_parent` int(4) NOT NULL,
  `id_order` int(4) NOT NULL,
  PRIMARY KEY  (`id_subject`),
  CONSTRAINT `fk_helpdesk_subject_parent` FOREIGN KEY (`id_parent`) REFERENCES helpdesk_subject(`id_subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure for table `helpdesk_theme`
--

DROP TABLE IF EXISTS `helpdesk_theme`;
CREATE TABLE `helpdesk_theme` (
  `id_theme` int(4) NOT NULL,
  `theme` varchar(50) NOT NULL default '',
  `id_mailing_list` varchar(50) NOT NULL default '',
  `id_parent` int(4) NOT NULL,
  `id_order` int(4) NOT NULL,
  PRIMARY KEY  (`id_theme`),
  CONSTRAINT `fk_helpdesk_theme_parent` FOREIGN KEY (`id_parent`) REFERENCES helpdesk_theme(`id_theme`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure for table `helpdesk_ln_faq_subject`
--

DROP TABLE IF EXISTS `helpdesk_ln_faq_subject`;
CREATE TABLE `helpdesk_ln_faq_subject` (
  `id_faq` int(4) NOT NULL,
  `id_subject` int(4) NOT NULL,
  PRIMARY KEY  (`id_faq`, `id_subject`),
  CONSTRAINT `fk_helpdesk_faq_subject_faq` FOREIGN KEY (`id_faq`) REFERENCES helpdesk_faq(`id_faq`),
  CONSTRAINT `fk_helpdesk_faq_subject_subject` FOREIGN KEY (`id_subject`) REFERENCES helpdesk_subject(`id_subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure for table `helpdesk_ln_faq_theme`
--

DROP TABLE IF EXISTS `helpdesk_ln_faq_theme`;
CREATE TABLE `helpdesk_ln_faq_theme` (
  `id_faq` int(4) NOT NULL,
  `id_theme` int(4) NOT NULL,
  PRIMARY KEY  (`id_faq`, `id_theme`),
  CONSTRAINT `fk_helpdesk_faq_theme_faq` FOREIGN KEY (`id_faq`) REFERENCES helpdesk_faq(`id_faq`),
  CONSTRAINT `fk_helpdesk_faq_theme_theme` FOREIGN KEY (`id_theme`) REFERENCES helpdesk_theme(`id_theme`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure for table `helpdesk_question_answer`
--

DROP TABLE IF EXISTS `helpdesk_question_answer`;
CREATE TABLE `helpdesk_question_answer` (
  `id_question_answer` int(11) NOT NULL,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  `id_subject` int(4) NOT NULL,
  `status` int(4) NOT NULL default '0',
  `creation_date` timestamp  NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_question_answer`),
  CONSTRAINT `fk_helpdesk_question_answer_subject` FOREIGN KEY (`id_subject`) REFERENCES helpdesk_subject(`id_subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure for table `helpdesk_visitor_question`
--

DROP TABLE IF EXISTS `helpdesk_visitor_question`;
CREATE TABLE `helpdesk_visitor_question` (
  `id_visitor_question` int(11) NOT NULL,
  `last_name` varchar(50) NOT NULL default '',
  `first_name` varchar(50) NOT NULL default '',
  `email` varchar(80) default NULL,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  `date_visitor_question` date NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_theme` int(4) NOT NULL, 
  PRIMARY KEY  (`id_visitor_question`),
  CONSTRAINT `fk_helpdesk_visitor_question_theme` FOREIGN KEY (`id_theme`) REFERENCES helpdesk_theme(`id_theme`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
